Skip to main content
Compute Management/Cluster Related Interfaces
PUTCluster Related InterfacesSince 2.3SynchronousAuth Required

Upgrade Host Operating System in Cluster

Upgrade Host Operating System in Cluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • updateclusterosObjectRequired

    updateclusteros request body object.

    • excludePackagesList

      List of packages not to upgrade

    • updatePackagesList

      List of packages to upgrade

    • releaseVersionString

      Version of the repository for upgrade

    • resourceUuidString

      资源UUID。若指定,资源会使用该字段值作为UUID。

    • tagUuidsList

      Tag UUID list

  • systemTagsList

    System tag

  • userTagsList

    User tag

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. See details error

    • codeStringRequired

      Error code number, globally unique identifier of the error, e.g. SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, default is null

    • opaqueLinkedHashMapRequired

      Reserved field, default is null

    • causeErrorCodeRequired

      Root cause, the error that caused the current error. If there is no original error, this field is null

  • inventoryLongJobInventoryRequired

    See details inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Resource description

    • apiIdStringRequired

      API ID used to associate TaskProgress

    • jobNameStringRequired

      Job name

    • jobDataStringRequired

      Job data

    • jobResultStringRequired

      Job result

    • targetResourceUuidStringRequired

      Target resource UUID

    • managementNodeUuidStringRequired

      Management Node UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • executeTimeLongRequired

      执行时间。

    • stateLongJobStateRequired

      See details state

      • WaitingLongJobStateRequired

        等待。

      • SuspendedLongJobStateRequired

        No description provided.

      • RunningLongJobStateRequired

        运行中。

      • SucceededLongJobStateRequired

        No description provided.

      • CancelingLongJobStateRequired

        No description provided.

      • CanceledLongJobStateRequired

        No description provided.

      • FailedLongJobStateRequired

        失败。

Endpoint

PUT/zstack/v1/clusters/{uuid}/actions

/zstack/v1/clusters/{uuid}/actions

Operation ID

UpdateClusterOS

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/clusters/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateclusteros":{"excludePackages":["<excludePackages>"],"updatePackages":["<updatePackages>"],"releaseVersion":"<releaseVersion>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "932696598b64375ea4ae6226cc0c1407" } }

Change History

This API has no change history records yet.

View all change history